GH-PROJECT-ITEM-LIST(1)

NAME
gh-project-item-list - List the items in a project

SYNOPSIS
gh project item-list [<number>] [flags]

DESCRIPTION
List the items in a project.

If supported by the API host (github.com and GHES 3.20+), the --query option can be used to perform advanced search. For the full syntax, see: https://docs.github.com/en/issues/planning-and-tracking-with-projects/customizing-views-in-your-project/filtering-projects

OPTIONS

--field <stringArray>
    Name of a field to show as an extra column

--field-id <stringArray>
    ID of a field to show as an extra column

--format <string>
    Output format: {json}

-q, --jq <expression>
    Filter JSON output using a jq expression

-L, --limit <int> (default 30)
    Maximum number of items to fetch

--owner <string>
    Login of the owner. Use "@me" for the current user

--query <string>
    Filter items using the Projects filter syntax, e.g. "assignee:octocat -status:Done"

-t, --template <string>
    Format JSON output using a Go template; see "gh help formatting"

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    # List the items in the current users's project "1"
    $ gh project item-list 1 --owner "@me"
    # List items assigned to a specific user
    $ gh project item-list 1 --owner "@me" --query "assignee:monalisa"
    # List open issues assigned to yourself
    $ gh project item-list 1 --owner "@me" --query "assignee:@me is:issue is:open"
    # List items with the "bug" label that are not done
    $ gh project item-list 1 --owner "@me" --query "label:bug -status:Done"
    # Show the "Status" and "Priority" field values as extra columns
    $ gh project item-list 1 --owner "@me" --field "Status" --field "Priority"

SEE ALSO
gh-project(1)